<div class="modal-header">
  <h4 class="modal-title" jhiTranslate="employerManagement.modal.createTitle">Create
    employer</h4>
  <button type="button" class="btn" aria-label="Close" (click)="activeModal.dismiss('close')">
    <i class="bi bi-x-lg"></i>
  </button>
</div>
<div class="modal-body">
  <div class="form-group">
    <label class="form-control-label" jhiTranslate="employerManagement.modal.employerName">Employer</label>
    <div>
      <ng-select [items]="[]" [addTag]="addTagFn" [hideSelected]="true" [multiple]="true" bindLabel="name"
        placeholder="{{'employerManagement.modal.employerPlaceholder' | translate}}" [(ngModel)]="employers"
        bindValue="id" (change)="handleValidate()" [isOpen]="!!this.employers.length"
        [notFoundText]=" this.employers.length ?  'Don\'t allow duplicate name' : ''"
        class="{{errorRequired ? 'error-select': ''}}">
      </ng-select>
    </div>
    <div *ngIf="errorRequired">
      <small class="form-text text-danger" *ngIf="errorRequired" jhiTranslate="entity.validation.required">
        This field is required.
      </small>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button type="button" class="btn" (click)="activeModal.dismiss('close')">Cancel</button>
  <button type="button" class="btn btn-primary" (click)="onSubmit()" [disabled]="isDisableSubmit">Save</button>
</div>